The xml-enumerator package

[Tags: bsd3, deprecated, library]

Deprecated in favor of xml-conduit

This package is deprecated in favor of xml-conduit.

This package provides parsing and rendering functions for XML. It is based on the datatypes found in the xml-types package. This package is broken up into the following modules:

Additionally, the xml-hamlet package http://hackage.haskell.org/package/xml-hamlet provides a more convenient syntax for creating XML documents. For a more thorough tutorial on this library, please see http://www.yesodweb.com/book/xml-enumerator.


Properties

Versions0.0.0, 0.0.0.1, 0.0.1, 0.0.1.1, 0.0.1.2, 0.1.0, 0.1.0.1, 0.1.0.2, 0.1.1, 0.1.2.1, 0.1.3, 0.2.0, 0.2.0.1, 0.2.0.2, 0.2.1, 0.2.1.1, 0.2.1.2, 0.2.1.3, 0.3.0, 0.3.1, 0.3.2, 0.3.3, 0.3.4, 0.4.0, 0.4.1, 0.4.2, 0.4.2.1, 0.4.3.1, 0.4.3.2, 0.4.4, 0.4.4.1
Dependenciesattoparsec (>=0.10), attoparsec-enumerator (>=0.3), base (==4.*), blaze-builder (>=0.2 && <0.4), blaze-builder-enumerator (==0.2.*), bytestring (==0.9.*), containers (>=0.2 && <0.5), data-default (>=0.2 && <0.4), enumerator (>=0.4.5 && <0.5), failure (==0.1.*), text (>=0.7 && <0.12), transformers (==0.2.*), xml-types (==0.3.*)
LicenseBSD3
AuthorMichael Snoyman <michaels@suite-sol.com>, Aristid Breitkreuz <aristidb@googlemail.com>
MaintainerMichael Snoyman <michaels@suite-sol.com>
StabilityStable
CategoryXML, Enumerator
Home pagehttp://github.com/snoyberg/xml
Source repositoryhead: git clone git://github.com/snoyberg/xml.git
Upload dateMon Jan 2 19:08:45 UTC 2012
Uploaded byMichaelSnoyman
Downloads2198 total (289 in last 30 days)

Modules

[Index]

Flags

NameDescriptionDefault
testDisabled

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees